# $Revision: 1.46.2.3 $, $Date: 2003/05/02 10:08:02 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Mason
Summary:	Mason - high-performance, dynamic web site authoring system
Summary(pl):	Mason - wysokowydajny system do tworzenia dynamicznych stron WWW
Name:		perl-HTML-Mason
Version:	1.20
Release:	1
Epoch:		3
License:	GPL/Artistic
URL:		http://www.masonhq.com/
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if %{!?_without_tests:1}0
BuildRequires:	perl(File::Spec) >= 0.8
BuildRequires:	perl(Scalar::Util) >= 1.01
BuildRequires:	perl-CGI >= 2.46
BuildRequires:	perl-Cache-Cache >= 1.0
BuildRequires:	perl-Class-Container >= 0.07
BuildRequires:	perl-Exception-Class >= 1.10
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Params-Validate >= 0.24
%endif
Requires:	perl(File::Spec) >= 0.8
Requires:	perl-Class-Container >= 0.07
Requires:	perl-Exception-Class >= 1.10
Requires:	perl-Params-Validate >= 0.24
Conflicts:	perl-Apache-Filter < 1.021
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Cache::Cache)' 'perl(HTML::Mason::Exceptions()' 'perl(HTML::Mason::MethodMaker(read_write)'

%description
Mason is a tool for building, serving and managing large web sites.
Its features make it an ideal backend for high load sites serving
dynamic content, such as online newspapers or database driven
e-commerce sites.

%description -l pl
Mason jest narzdziem sucym do budowania i udostpniania duych
serwisw WWW oraz do zarzdzania nimi. Ze wzgldu na swe moliwoci,
jest idealn baz dla duych serwisw o dynamicznie generowanej
zawartoci, np. gazet internetowych czy sklepw internetowych opartych
na bazach danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL --no-prompts
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_sitelib}/HTML/Mason/*.pod

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9nf samples/README
cp -a {samples,eg} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv bin contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README UPGRADE CREDITS contrib install
%{perl_sitelib}/Apache/Mason.pm
%{perl_sitelib}/HTML/Mason.pm
%{perl_sitelib}/HTML/Mason
%dir %{_examplesdir}/%{name}-%{version}
%dir %{_examplesdir}/%{name}-%{version}/eg
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/eg/*.pl
%{_examplesdir}/%{name}-%{version}/eg/httpd.conf
%{_examplesdir}/%{name}-%{version}/samples
%{_mandir}/man3/HTML*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-Mason.spec,v $
Revision 1.46.2.3  2003/05/02 10:08:02  ankry
- 1.20, fixed deps, cosmetics

Revision 1.46.2.2  2003/03/13 00:57:32  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.46.2.1  2003/03/10 16:52:57  ankry
- autoupdated to 1.19

Revision 1.46  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.45  2003/02/18 15:32:59  ankry
- massive attack: change CPAN URLs

Revision 1.44  2003/01/24 10:49:35  radek
- version 1.18 (nothing important, if you already have Exception::Class 1.09)

Revision 1.43  2003/01/18 03:11:12  radek
- version 1.17 (mostly bugfixes, some minor enhancements)
- incompatible change: "Removed the long deprecated and undocumented
  $comp->parent_comp method.  Use $comp->owner instead."

Revision 1.42  2002/12/13 19:30:45  radek
- version 1.16 (bugfixes, few minor code enhancements and improved
  documentation)
- this version can safely go to the ra-updates-general, so... STBR?

Revision 1.41  2002/10/14 10:47:16  radek
- version 1.15 (bugfixes)

Revision 1.40  2002/10/13 15:19:21  radek
- version 1.14 (bugfixes and backwards compatibility)
- provided informative summary
- updated BR's
- noautoreq: Cache::Cache, as README says

Revision 1.39  2002/08/26 10:14:18  radek
- version 1.13: bugfixes; STBR

Revision 1.38  2002/08/05 22:19:06  kloczek
- relelease 3.

Revision 1.37  2002/08/05 20:58:56  ankry
- modified pl translation, adapterized

Revision 1.36  2002/08/05 16:34:29  radek
- added conditional tests

Revision 1.35  2002/08/03 13:13:19  radek
- if someone wants to use without mod_perl, will know it's possible
- release 2, stbr

Revision 1.34  2002/07/26 11:41:03  radek
- version 1.1201, fixing very minor bugs and enhancing documentation
- fixed copyright information and Polish description

Revision 1.33  2002/07/24 16:48:41  radek
- version 1.12, fixing serious memory leaks
- removed html docs, it's in man pages
- removed tests, so BRs became unnecessary

Revision 1.32  2002/07/20 00:36:41  qboosh
- fixed permissions, release 3

Revision 1.31  2002/07/19 00:00:15  ankry
- translations, cleaning
- fixed attributes in %%{_examplesdir}
- removed *.pod files
- release 2

Revision 1.30  2002/07/15 12:01:34  qboosh
- use package names for non-ambiguous dependencies
- removed noautocompressdoc - *.html are not compressed by default

Revision 1.29  2002/07/15 08:02:50  depesz
- new version (1.11)
- STBR;
- SPEC by Radosaw Zieliski

Revision 1.28  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.27  2002/05/15 15:08:59  zagrodzki
- epoch 2

Revision 1.26  2002/05/15 15:08:09  zagrodzki
- updated to 1.05
- patch1 obsoleted
- STBR

Revision 1.25  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:15:54  depesz
automatic: Source location unified, Relase Up

Revision 1.21  2002/02/10 15:26:49  depesz
adapterized

Revision 1.20  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/09/18 15:15:13  qboosh
- release 4: removed Bundle::* - we use rpm dependencies

Revision 1.18  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.17  2001/05/03 17:59:36  kloczek
- chenged BuildRequires from mod_perl to apache-mod_perl.

Revision 1.16  2001/04/17 23:03:50  baggins
- buildrequires perl-Params-Validate
- removed stupid tests from makefile

Revision 1.15  2001/04/17 12:10:12  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/04/04 15:35:50  mis
- autoupdated to 1.015

Revision 1.12  2001/03/29 07:51:00  mis
- autoupdated to 1.01

Revision 1.11  2001/02/20 17:01:01  mis
- updated to 1.0
- eliminated paths patch

Revision 1.10  2001/01/06 16:19:57  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:47:02  pius
- updated to 0.8

Revision 1.3  1999/11/14 00:50:06  pius
- added '%%include /usr/lib/rpm/macros.perl'
- fixed dependencies
- release++

Revision 1.2  1999/10/09 17:08:27  pius
- updated to 0.71
- modified BuildRequires
- small changes in %%files
- added perl-HTML-Mason-paths.patch

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
